Skip to main content
`Ctrl`+`K`

# scipy.special.fdtridfd

scipy.special.fdtridfd(dfn, p, x, out=None) = <ufunc 'fdtridfd'>

  Inverse to `fdtr` vs dfd

  Finds the F density argument dfd such that `fdtr(dfn, dfd, x) == p`.

  Parameters:
    dfn array_like

      First parameter (positive float).

    p array_like

      Cumulative probability, in [0, 1].

    x array_like

      Argument (nonnegative float).

    out ndarray, optional

      Optional output array for the function values

  Returns:
    dfd scalar or ndarray

      dfd such that `fdtr(dfn, dfd, x) == p`.

  See also

  `fdtr`

    F distribution cumulative distribution function

  `fdtrc`

    F distribution survival function

  `fdtri`

    F distribution quantile function

  `scipy.stats.f`

    F distribution

  Examples

  Compute the F distribution cumulative distribution function for one parameter set.

      >>> from scipy.special import fdtridfd, fdtr
      >>> dfn, dfd, x = 10, 5, 2
      >>> cdf_value = fdtr(dfn, dfd, x)
      >>> cdf_value
      0.7700248806501017

  Verify that `fdtridfd` recovers the original value for dfd:

      >>> fdtridfd(dfn, cdf_value, x)
      5.0